
Redmine - Patch #6416

When viewing utf-8 text file in repository, it is downloaded
Category: SCM Estimated time: 0.00 hour

Target version:    

Description

I want to view the utf-8 text file in repository, but it is downloaded.

In RepositoriesController#entry(), String#is_binary_data? is used to determine the file is binary or not.

But String#is_binary_data? return true even if the file is utf-8 text.

I wrote a patch to fix this problem.

Related issues:

Related to Redmine - Defect #6256: Redmine considers non ASCII and UTF-16 tex... Closed 2010-08-31

History

#1 - 2010-12-18 17:20 - Yar Isakov

I want to confirm this bug. Some files in utf-8 encoding are downloading instead of showing.

#2 - 2011-01-18 06:19 - Toshi MARUYAMA

- Category set to SCM

#3 - 2011-03-21 10:53 - Toshi MARUYAMA

- Status changed from New to 7

- Assignee set to Toshi MARUYAMA

#4 - 2011-03-21 11:02 - Toshi MARUYAMA

- Status changed from 7 to Closed

- Assignee deleted (Toshi MARUYAMA)

I confirmed source:trunk/config/locales/ja.yml is as binary.

repositories_controller.patch is only for UTF-8.

Redmine supports multi encoding.

For example, ISO-8859-1, Japanese Shift_JIS, EUC-JP...

Iconv passes converting from ISO-8859-1 to UTF-8 with no error.

I will fix #6256 in another way.

Files

repositories_controller.patch 1.13 KB 2010-09-16 Masahiro Tomita
